Altibase.jdbc.driver.util

## Class TimeZoneUtils

- java.lang.Object
- - Altibase.jdbc.driver.util.TimeZoneUtils

    public final class TimeZoneUtils
    extends java.lang.Object

### Field Summary

Fields
`static java.util.TimeZone` `TZ_GMT`
`static java.util.TimeZone` `TZ_HONGKONG`
`static java.util.TimeZone` `TZ_LONDON`
`static java.util.TimeZone` `TZ_NEWYORK`
`static java.util.TimeZone` `TZ_SEOUL`
`static java.util.TimeZone` `TZ_SHANGHAI`
`static java.util.TimeZone` `TZ_SINGAPORE`

### Method Summary

All Methods Static Methods Concrete Methods
`static long` `convertTimeZone(long aMillis, java.util.Calendar aDstCal)` TimeZone을 변환한다.
`static long` `convertTimeZone(long aMillis, java.util.Calendar aSrcCal, java.util.Calendar aDstCal)` TimeZone을 변환한다.
`static long` `convertTimeZone(long aMillis, java.util.TimeZone aDstTZ)` TimeZone을 변환한다.
`static long` `convertTimeZone(long aMillis, java.util.TimeZone aSrcTZ, java.util.TimeZone aDstTZ)` TimeZone을 변환한다.
`static java.util.TimeZone` `getTimeZone(java.lang.String aID)` ID에 해당하는 TimeZone을 얻는다.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TZ_GMT

    public static final java.util.TimeZone TZ_GMT

#### TZ_SEOUL

    public static final java.util.TimeZone TZ_SEOUL

#### TZ_LONDON

    public static final java.util.TimeZone TZ_LONDON

#### TZ_NEWYORK

    public static final java.util.TimeZone TZ_NEWYORK

#### TZ_HONGKONG

    public static final java.util.TimeZone TZ_HONGKONG

#### TZ_SHANGHAI

    public static final java.util.TimeZone TZ_SHANGHAI

#### TZ_SINGAPORE

    public static final java.util.TimeZone TZ_SINGAPORE

### Method Detail

#### getTimeZone

    public static java.util.TimeZone getTimeZone(java.lang.String aID)

ID에 해당하는 TimeZone을 얻는다.

Parameters:
  `aID` - "Asia/Seoul"과 같은 ID 문자열이나 "GMT+09:00"과 같은 offset 문자열. "+09:00"와 같은 형태이면 자동으로 "GMT+09:00"에 대한 TimeZone을 얻는다.
Returns:
  ID에 해당하는 TimeZone. 만약, 해당하는 TimeZone이 없으면 GMT zone.

#### convertTimeZone

    public static long convertTimeZone(long aMillis,
                                       java.util.Calendar aSrcCal,
                                       java.util.Calendar aDstCal)

TimeZone을 변환한다.

Parameters:
  `aMillis` - 바꿀 시간(ms 단위)
  `aSrcCal` - 원래 TimeZone이 설정된 Calendar
  `aDstCal` - 바꿀 TimeZone이 설정된 Calendar
Returns:
  TimeZone 변환한 milliseconds 값

#### convertTimeZone

    public static long convertTimeZone(long aMillis,
                                       java.util.Calendar aDstCal)

TimeZone을 변환한다.

Parameters:
  `aMillis` - 바꿀 시간(ms 단위)
  `aDstCal` - 바꿀 TimeZone이 설정된 Calendar
Returns:
  TimeZone 변환한 milliseconds 값

#### convertTimeZone

    public static long convertTimeZone(long aMillis,
                                       java.util.TimeZone aSrcTZ,
                                       java.util.TimeZone aDstTZ)

TimeZone을 변환한다.

Parameters:
  `aMillis` - 바꿀 시간(ms 단위)
  `aSrcTZ` - 원래 TimeZone
  `aDstTZ` - 바꿀 TimeZone
Returns:
  TimeZone 변환한 milliseconds 값

#### convertTimeZone

    public static long convertTimeZone(long aMillis,
                                       java.util.TimeZone aDstTZ)

TimeZone을 변환한다.

Parameters:
  `aMillis` - 바꿀 시간(ms 단위)
  `aDstTZ` - 바꿀 TimeZone
Returns:
  TimeZone 변환한 milliseconds 값